Bug 1462338 - [3.5] pod-to-pod connectivity lost after rescaling with ovs-multitenant
[3.5] pod-to-pod connectivity lost after rescaling with ovs-multitenant
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking (Show other bugs)
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.5.z
Assigned To: Ben Bennett
Meng Bo
Depends On: 1454948
Blocks: 1267746
  Show dependency treegraph
Reported: 2017-06-16 15:05 EDT by Ben Bennett
Modified: 2017-09-21 14:37 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: We were incorrectly removing VNID allow rules before they were really unused. It appears that when containers had startup errors it can cause the tracking to get out of sync. Consequence: The rules that allowed communication for a namespace were removed early, so that if there were still pod in that namespace on the node, they could not communicate with one another. Fix: Change the way that the tracking is done so that we avoid the nasty edge cases around pod creation / deletion failures. Result: The VNID tracking does not fail so traffic flows.
Story Points: ---
Clone Of: 1454948
Last Closed: 2017-07-11 06:47:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Origin (Github) 14092 None None None 2017-06-16 15:05 EDT
Github openshift/ose/pull/787 None None None 2017-06-16 15:05 EDT
Red Hat Knowledge Base (Solution) 3077711 None None None 2017-06-16 15:05 EDT

  None (edit)
Comment 1 markv 2017-06-19 04:59:38 EDT
Error 404 on github link https://github.com/openshift/ose/pull/787
Comment 2 Ruben Romero Montes 2017-06-19 06:54:54 EDT
@markv this is a private repository, that's why you can't access to it.

Comment 3 Dan Winship 2017-06-19 09:31:35 EDT
It's a backport of https://github.com/openshift/origin/pull/14560
Comment 5 Ben Bennett 2017-06-21 11:53:25 EDT
OSE PR https://github.com/openshift/ose/pull/787
Comment 7 Weibin Liang 2017-06-22 17:23:29 EDT
Do not see network connectivity issue when tested in:
oc v3.5.5.28
kubernetes v1.5.2+43a9be4
Comment 13 errata-xmlrpc 2017-07-11 06:47:38 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

Comment 14 Ben Bennett 2017-07-12 11:39:09 EDT
*** Bug 1464657 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.